'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ChartLegend = function (_React$Component) {
  _inherits(ChartLegend, _React$Component);

  function ChartLegend(props) {
    _classCallCheck(this, ChartLegend);

    return _possibleConstructorReturn(this, (ChartLegend.__proto__ || Object.getPrototypeOf(ChartLegend)).call(this, props));
  }

  _createClass(ChartLegend, [{
    key: 'render',
    value: function render() {
      var _self = this;
      var legendItems = [];
      var legend = [];

      this.props.data.forEach(function (d, i) {
        if (legend.indexOf(d[_self.props.labelKey]) < 0) {
          legendItems.push(_react2.default.createElement(
            'span',
            { key: i, style: { display: "inline-block" } },
            _react2.default.createElement(
              'span',
              { style: { color: _self.props.colors(legend.length), paddingRight: '5px' } },
              '\u25CF'
            ),
            _react2.default.createElement(
              'span',
              { style: { paddingRight: '15px' } },
              d[_self.props.labelKey]
            )
          ));
          legend.push(d[_self.props.labelKey]);
        }
      });
      return _react2.default.createElement(
        'div',
        { className: 'chart-legend' },
        legendItems
      );
    }
  }]);

  return ChartLegend;
}(_react2.default.Component);

ChartLegend.propTypes = {
  data: _react2.default.PropTypes.array,
  labelKey: _react2.default.PropTypes.string,
  colors: _react2.default.PropTypes.func
};

ChartLegend.defaultProps = {
  labelKey: "label"
};

exports.default = ChartLegend;